/* @(#)rex.x 1.3 87/09/18 Copyr 1987 Sun Micro */

/*
 * Remote execution (rex) protocol specification
 */

#include "ttold.h"	/* tchar and ltchar definations */

/* values for flags above */

/*const TANDEM = 0x00000001; /* send stopc on out q full */
#define CBREAK 0x00000002 /* half-cooked mode */
/*const LCASE = 0x00000004; /* simulate lower case */
/*const ECHO = 0x00000008; /* echo input */
#define CRMOD 0x00000010 /* map \r to \r\n on output */
/*const RAW = 0x00000020; /* no i/o processing */
/*const ODDP = 0x00000040; /* get/send odd parity */
/*const EVENP = 0x00000080; /* get/send even parity */
/*const ANYP = 0x000000c0; /* get any parity/send none */
/*const NLDELAY = 0x00000300; /* \n delay */
/*const  NL0 = 0x00000000;	/* */
/*const  NL1 = 0x00000100; /* tty 37 */
/*const  NL2 = 0x00000200; /* vt05 */
/*const  NL3 = 0x00000300;	/* */
/*const TBDELAY = 0x00000c00; /* horizontal tab delay */
/*const  TAB0 = 0x00000000;	/* */
/*const  TAB1 = 0x00000400; /* tty 37 */
/*const  TAB2 = 0x00000800;	/* */
/*const XTABS = 0x00000c00; /* expand tabs on output */
/*const CRDELAY = 0x00003000; /* \r delay */
/*const  CR0 = 0x00000000;	/* */
/*const  CR1 = 0x00001000; /* tn 300 */
/*const  CR2 = 0x00002000; /* tty 37 */
/*const  CR3 = 0x00003000; /* concept 100 */
/*const VTDELAY = 0x00004000; /* vertical tab delay */
/*const  FF0 = 0x00000000;	/* */
/*const  FF1 = 0x00004000; /* tty 37 */
/*const BSDELAY = 0x00008000; /* \b delay */
/*const  BS0 = 0x00000000;	/* */
/*const  BS1 = 0x00008000;	/* */
/*const CRTBS = 0x00010000; /* do backspacing for crt */
/*const PRTERA = 0x00020000; /* \ ... / erase */
/*const CRTERA = 0x00040000; /* " \b " to wipe out char */
/*const TILDE = 0x00080000; /* hazeltine tilde kludge */
/*const MDMBUF = 0x00100000; /* start/stop output on carrier intr */
/*const LITOUT = 0x00200000; /* literal output */
/*const TOSTOP = 0x00400000; /* SIGTTOU on background output */
/*const FLUSHO = 0x00800000; /* flush output to terminal */
/*const NOHANG = 0x01000000; /* no SIGHUP on carrier drop */
/*const L001000 = 0x02000000;	/* */
/*const CRTKIL = 0x04000000; /* kill line with " \b " */
/*const PASS8 = 0x08000000;	/* */
/*const CTLECH = 0x10000000; /* echo control chars as ^X */
/*const PENDIN = 0x20000000; /* tp->t_rawq needs reread */
/*const DECCTQ = 0x40000000; /* only ^Q starts after ^S */
/*const NOFLSH = 0x80000000; /* no output flush on signal */
/* values for andmore above */
/*const LCRTBS = 0x0001;	/* do backspacing for crt */
/*const LPRTERA = 0x0002;	/* \ ... / erase */
/*const LCRTERA = 0x0004;	/* " \b " to wipe out char */
/*const LTILDE = 0x0008;	/* hazeltine tilde kludge */
/*const LMDMBUF = 0x0010;	/* start/stop output on carrier intr */
/*const LLITOUT = 0x0020;	/* literal output */
/*const LTOSTOP = 0x0040;	/* SIGTTOU on background output */
/*const LFLUSHO = 0x0080;	/* flush output to terminal */
/*const LNOHANG = 0x0100;	/* no SIGHUP on carrier drop */
/*const LL001000 = 0x0200;	/* */
/*const LCRTKIL = 0x0400;	/* kill line with " \b " */
/*const LPASS8 = 0x0800;	/* */
/*const LCTLECH = 0x1000;	/* echo control chars as ^X */
/*const LPENDIN = 0x2000;	/* needs reread */
/*const LDECCTQ = 0x4000;	/* only ^Q starts after ^S */
/*const LNOFLSH = 0x8000;	/* no output flush on signal */
